public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/gnome:master commit in: media-libs/libchamplain/
@ 2011-02-22 20:35 Nirbheek Chauhan
  0 siblings, 0 replies; 8+ messages in thread
From: Nirbheek Chauhan @ 2011-02-22 20:35 UTC (permalink / raw
  To: gentoo-commits

commit:     1d42c58efb9458bac25c63dcc10f6a0581ca1342
Author:     Nirbheek Chauhan <nirbheek <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 22 20:03:13 2011 +0000
Commit:     Nirbheek Chauhan <nirbheek <AT> gentoo <DOT> org>
CommitDate: Tue Feb 22 20:03:13 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=1d42c58e

Add media-libs/libchamplain-0.9.0:0.10

---
 media-libs/libchamplain/libchamplain-0.9.0.ebuild |   50 +++++++++++++++++++++
 1 files changed, 50 insertions(+), 0 deletions(-)

diff --git a/media-libs/libchamplain/libchamplain-0.9.0.ebuild b/media-libs/libchamplain/libchamplain-0.9.0.ebuild
new file mode 100644
index 0000000..f87043c
--- /dev/null
+++ b/media-libs/libchamplain/libchamplain-0.9.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-libs/libchamplain/libchamplain-0.8.1.ebuild,v 1.1 2011/02/12 09:11:16 jlec Exp $
+
+EAPI="3"
+
+inherit gnome2
+
+DESCRIPTION="Clutter based world map renderer"
+HOMEPAGE="http://blog.pierlux.com/projects/libchamplain/en/"
+
+LICENSE="LGPL-2"
+SLOT="0.10"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc +gtk html +introspection"
+
+RDEPEND="
+	>=dev-libs/glib-2.16:2
+	>=x11-libs/cairo-1.4
+	>=media-libs/clutter-1.2:1.0
+	>=media-libs/memphis-0.2.1:0.2
+	>=net-libs/libsoup-gnome-2.4.1:2.4
+	dev-db/sqlite:3
+	gtk? (
+		>=x11-libs/gtk+-2.90:3
+		>=media-libs/clutter-gtk-0.90:1.0 )
+	introspection? ( >=dev-libs/gobject-introspection-0.6.3 )"
+DEPEND="${RDEPEND}
+	dev-util/pkgconfig
+	doc? ( >=dev-util/gtk-doc-1.9 )"
+
+DOCS="AUTHORS ChangeLog NEWS README"
+
+src_prepare() {
+	gnome2_src_prepare
+
+	# Vala demos try to use vala-0.8.0, do not want
+	G2CONF="${G2CONF}
+		--disable-maintainer-mode
+		--disable-static
+		--disable-maemo
+		--disable-vala-demos
+		--enable-memphis
+		--with-html-dir="${EPREFIX}/usr/share/doc/${PF}/html"
+		$(use_enable gtk)
+		$(use_enable html gtk-doc-html)
+		$(use_enable introspection)"
+
+	#sed 's:bindings::g' -i Makefile.in || die
+}



^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] proj/gnome:master commit in: media-libs/libchamplain/
@ 2011-02-24 19:58 Jonathan Callen
  0 siblings, 0 replies; 8+ messages in thread
From: Jonathan Callen @ 2011-02-24 19:58 UTC (permalink / raw
  To: gentoo-commits

commit:     92bbcae8e11d37b0b06c6d710804afad112aaea8
Author:     Jonathan Callen <abcd <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 24 19:58:06 2011 +0000
Commit:     Jonathan Callen <abcd <AT> gentoo <DOT> org>
CommitDate: Thu Feb 24 19:58:06 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=92bbcae8

media-libs/libchamplain: add proper USE deps for introspection

(Portage version: 2.2.0_alpha23_p5/git/Linux i686, RepoMan options: --force, signed Manifest commit with key 229E5838)

---
 media-libs/libchamplain/libchamplain-0.9.0.ebuild |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/media-libs/libchamplain/libchamplain-0.9.0.ebuild b/media-libs/libchamplain/libchamplain-0.9.0.ebuild
index f87043c..90ee870 100644
--- a/media-libs/libchamplain/libchamplain-0.9.0.ebuild
+++ b/media-libs/libchamplain/libchamplain-0.9.0.ebuild
@@ -17,12 +17,12 @@ IUSE="doc +gtk html +introspection"
 RDEPEND="
 	>=dev-libs/glib-2.16:2
 	>=x11-libs/cairo-1.4
-	>=media-libs/clutter-1.2:1.0
-	>=media-libs/memphis-0.2.1:0.2
+	>=media-libs/clutter-1.2:1.0[introspection?]
+	>=media-libs/memphis-0.2.1:0.2[introspection?]
 	>=net-libs/libsoup-gnome-2.4.1:2.4
 	dev-db/sqlite:3
 	gtk? (
-		>=x11-libs/gtk+-2.90:3
+		>=x11-libs/gtk+-2.90:3[introspection?]
 		>=media-libs/clutter-gtk-0.90:1.0 )
 	introspection? ( >=dev-libs/gobject-introspection-0.6.3 )"
 DEPEND="${RDEPEND}



^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] proj/gnome:master commit in: media-libs/libchamplain/
@ 2011-03-29  8:35 Nirbheek Chauhan
  0 siblings, 0 replies; 8+ messages in thread
From: Nirbheek Chauhan @ 2011-03-29  8:35 UTC (permalink / raw
  To: gentoo-commits

commit:     0fd197ffe9151c16712265702fa55bebce52a32b
Author:     Nirbheek Chauhan <nirbheek <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 29 07:32:58 2011 +0000
Commit:     Nirbheek Chauhan <nirbheek <AT> gentoo <DOT> org>
CommitDate: Tue Mar 29 08:35:25 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=0fd197ff

media-libs/libchamplain: 0.9.0 → 0.9.1

---
 ...lain-0.9.0.ebuild => libchamplain-0.9.1.ebuild} |    0
 1 files changed, 0 insertions(+), 0 deletions(-)

diff --git a/media-libs/libchamplain/libchamplain-0.9.0.ebuild b/media-libs/libchamplain/libchamplain-0.9.1.ebuild
similarity index 100%
rename from media-libs/libchamplain/libchamplain-0.9.0.ebuild
rename to media-libs/libchamplain/libchamplain-0.9.1.ebuild



^ permalink raw reply	[flat|nested] 8+ messages in thread

* [gentoo-commits] proj/gnome:master commit in: media-libs/libchamplain/
@ 2011-04-05  0:57 Nirbheek Chauhan
  0 siblings, 0 replies; 8+ messages in thread
From: Nirbheek Chauhan @ 2011-04-05  0:57 UTC (permalink / raw
  To: gentoo-commits

commit:     987578b18f305468a95ec06d5bf88248722e916a
Author:     Nirbheek Chauhan <nirbheek <AT> gentoo <DOT> org>
AuthorDate: Mon Apr  4 14:18:06 2011 +0000
Commit:     Nirbheek Chauhan <nirbheek <AT> gentoo <DOT> org>
CommitDate: Mon Apr  4 15:47:44 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=987578b1

media-libs/libchamplain: 0.9.1 → 0.10.0

* Vala bindings support
* Remove la files

---
 ...ain-0.9.1.ebuild => libchamplain-0.10.0.ebuild} |   18 +++++++++++-------
 1 files changed, 11 insertions(+), 7 deletions(-)

diff --git a/media-libs/libchamplain/libchamplain-0.9.1.ebuild b/media-libs/libchamplain/libchamplain-0.10.0.ebuild
similarity index 78%
rename from media-libs/libchamplain/libchamplain-0.9.1.ebuild
rename to media-libs/libchamplain/libchamplain-0.10.0.ebuild
index 90ee870..767755a 100644
--- a/media-libs/libchamplain/libchamplain-0.9.1.ebuild
+++ b/media-libs/libchamplain/libchamplain-0.10.0.ebuild
@@ -2,7 +2,8 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/media-libs/libchamplain/libchamplain-0.8.1.ebuild,v 1.1 2011/02/12 09:11:16 jlec Exp $
 
-EAPI="3"
+EAPI="4"
+GNOME2_LA_PUNT="yes"
 
 inherit gnome2
 
@@ -12,7 +13,9 @@ HOMEPAGE="http://blog.pierlux.com/projects/libchamplain/en/"
 LICENSE="LGPL-2"
 SLOT="0.10"
 KEYWORDS="~amd64 ~x86"
-IUSE="doc +gtk html +introspection"
+IUSE="doc +gtk html +introspection vala"
+
+REQUIRED_USE="vala? ( introspection )"
 
 RDEPEND="
 	>=dev-libs/glib-2.16:2
@@ -27,14 +30,15 @@ RDEPEND="
 	introspection? ( >=dev-libs/gobject-introspection-0.6.3 )"
 DEPEND="${RDEPEND}
 	dev-util/pkgconfig
-	doc? ( >=dev-util/gtk-doc-1.9 )"
+	doc? ( >=dev-util/gtk-doc-1.9 )
+	vala? ( dev-lang/vala:0.12 )"
 
 DOCS="AUTHORS ChangeLog NEWS README"
 
 src_prepare() {
 	gnome2_src_prepare
 
-	# Vala demos try to use vala-0.8.0, do not want
+	# Vala demos are only built, so just disable them
 	G2CONF="${G2CONF}
 		--disable-maintainer-mode
 		--disable-static
@@ -42,9 +46,9 @@ src_prepare() {
 		--disable-vala-demos
 		--enable-memphis
 		--with-html-dir="${EPREFIX}/usr/share/doc/${PF}/html"
+		VAPIGEN=$(type -p vapigen-0.12)
 		$(use_enable gtk)
 		$(use_enable html gtk-doc-html)
-		$(use_enable introspection)"
-
-	#sed 's:bindings::g' -i Makefile.in || die
+		$(use_enable introspection)
+		$(use_enable vala)"
 }



^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] proj/gnome:master commit in: media-libs/libchamplain/
@ 2011-04-06 13:39 Gilles Dartiguelongue
  0 siblings, 0 replies; 8+ messages in thread
From: Gilles Dartiguelongue @ 2011-04-06 13:39 UTC (permalink / raw
  To: gentoo-commits

commit:     be51a2a13447812b878d21b8239d2aecdbf60588
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  6 12:36:25 2011 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Wed Apr  6 12:37:50 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=be51a2a1

media-libs/libchamplain: QAed

	* Sync with gentoo-x86 changes
	* Use proper phase again for config stuff

(Portage version: 2.2.0_alpha29/git/Linux x86_64, RepoMan options: --force, signed Manifest commit with key C6085806)

---
 media-libs/libchamplain/libchamplain-0.10.0.ebuild |   13 +++++--------
 1 files changed, 5 insertions(+), 8 deletions(-)

diff --git a/media-libs/libchamplain/libchamplain-0.10.0.ebuild b/media-libs/libchamplain/libchamplain-0.10.0.ebuild
index 767755a..e3656c2 100644
--- a/media-libs/libchamplain/libchamplain-0.10.0.ebuild
+++ b/media-libs/libchamplain/libchamplain-0.10.0.ebuild
@@ -3,6 +3,7 @@
 # $Header: /var/cvsroot/gentoo-x86/media-libs/libchamplain/libchamplain-0.8.1.ebuild,v 1.1 2011/02/12 09:11:16 jlec Exp $
 
 EAPI="4"
+GCONF_DEBUG="no"
 GNOME2_LA_PUNT="yes"
 
 inherit gnome2
@@ -13,7 +14,7 @@ HOMEPAGE="http://blog.pierlux.com/projects/libchamplain/en/"
 LICENSE="LGPL-2"
 SLOT="0.10"
 KEYWORDS="~amd64 ~x86"
-IUSE="doc +gtk html +introspection vala"
+IUSE="debug doc +gtk +introspection vala"
 
 REQUIRED_USE="vala? ( introspection )"
 
@@ -33,11 +34,8 @@ DEPEND="${RDEPEND}
 	doc? ( >=dev-util/gtk-doc-1.9 )
 	vala? ( dev-lang/vala:0.12 )"
 
-DOCS="AUTHORS ChangeLog NEWS README"
-
-src_prepare() {
-	gnome2_src_prepare
-
+pkg_setup() {
+	DOCS="AUTHORS ChangeLog NEWS README"
 	# Vala demos are only built, so just disable them
 	G2CONF="${G2CONF}
 		--disable-maintainer-mode
@@ -45,10 +43,9 @@ src_prepare() {
 		--disable-maemo
 		--disable-vala-demos
 		--enable-memphis
-		--with-html-dir="${EPREFIX}/usr/share/doc/${PF}/html"
 		VAPIGEN=$(type -p vapigen-0.12)
+		$(use_enable debug)
 		$(use_enable gtk)
-		$(use_enable html gtk-doc-html)
 		$(use_enable introspection)
 		$(use_enable vala)"
 }



^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] proj/gnome:master commit in: media-libs/libchamplain/
@ 2011-04-06 13:39 Gilles Dartiguelongue
  0 siblings, 0 replies; 8+ messages in thread
From: Gilles Dartiguelongue @ 2011-04-06 13:39 UTC (permalink / raw
  To: gentoo-commits

commit:     f191ea6e0eacd84833406dbbb0003d36cb5d7959
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  6 13:39:07 2011 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Wed Apr  6 13:39:07 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=f191ea6e

media-libs/libchamplain: fix documentation sloting problem

(Portage version: 2.2.0_alpha29/git/Linux x86_64, RepoMan options: --force, signed Manifest commit with key C6085806)

---
 media-libs/libchamplain/libchamplain-0.10.0.ebuild |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

diff --git a/media-libs/libchamplain/libchamplain-0.10.0.ebuild b/media-libs/libchamplain/libchamplain-0.10.0.ebuild
index e3656c2..bd8bce6 100644
--- a/media-libs/libchamplain/libchamplain-0.10.0.ebuild
+++ b/media-libs/libchamplain/libchamplain-0.10.0.ebuild
@@ -49,3 +49,15 @@ pkg_setup() {
 		$(use_enable introspection)
 		$(use_enable vala)"
 }
+
+src_prepare() {
+	# Fix documentation slotability
+	sed -e "s/^DOC_MODULE.*/DOC_MODULE = ${PN}-${SLOT}/" \
+		-i docs/reference/Makefile.{am,in} || die "sed (1) failed"
+	sed -e "s/^DOC_MODULE.*/DOC_MODULE = ${PN}-gtk-${SLOT}/" \
+		-i docs/reference-gtk/Makefile.{am,in} || die "sed (2) failed"
+	mv ${S}/docs/reference/${PN}{,-${SLOT}}-docs.sgml || die "mv (1) failed"
+	mv ${S}/docs/reference-gtk/${PN}-gtk{,-${SLOT}}-docs.sgml || die "mv (1) failed"
+
+	gnome2_src_prepare
+}



^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] proj/gnome:master commit in: media-libs/libchamplain/
@ 2011-06-02 21:35 Nirbheek Chauhan
  0 siblings, 0 replies; 8+ messages in thread
From: Nirbheek Chauhan @ 2011-06-02 21:35 UTC (permalink / raw
  To: gentoo-commits

commit:     8aa2744255bf210eadfc89416468331dfa882020
Author:     Nirbheek Chauhan <nirbheek <AT> gentoo <DOT> org>
AuthorDate: Thu Jun  2 21:35:03 2011 +0000
Commit:     Nirbheek Chauhan <nirbheek <AT> gentoo <DOT> org>
CommitDate: Thu Jun  2 21:35:17 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=8aa27442

media-libs/libchamplain: moved to tree

---
 media-libs/libchamplain/libchamplain-0.10.0.ebuild |   63 --------------------
 1 files changed, 0 insertions(+), 63 deletions(-)

diff --git a/media-libs/libchamplain/libchamplain-0.10.0.ebuild b/media-libs/libchamplain/libchamplain-0.10.0.ebuild
deleted file mode 100644
index bd8bce6..0000000
--- a/media-libs/libchamplain/libchamplain-0.10.0.ebuild
+++ /dev/null
@@ -1,63 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/libchamplain/libchamplain-0.8.1.ebuild,v 1.1 2011/02/12 09:11:16 jlec Exp $
-
-EAPI="4"
-GCONF_DEBUG="no"
-GNOME2_LA_PUNT="yes"
-
-inherit gnome2
-
-DESCRIPTION="Clutter based world map renderer"
-HOMEPAGE="http://blog.pierlux.com/projects/libchamplain/en/"
-
-LICENSE="LGPL-2"
-SLOT="0.10"
-KEYWORDS="~amd64 ~x86"
-IUSE="debug doc +gtk +introspection vala"
-
-REQUIRED_USE="vala? ( introspection )"
-
-RDEPEND="
-	>=dev-libs/glib-2.16:2
-	>=x11-libs/cairo-1.4
-	>=media-libs/clutter-1.2:1.0[introspection?]
-	>=media-libs/memphis-0.2.1:0.2[introspection?]
-	>=net-libs/libsoup-gnome-2.4.1:2.4
-	dev-db/sqlite:3
-	gtk? (
-		>=x11-libs/gtk+-2.90:3[introspection?]
-		>=media-libs/clutter-gtk-0.90:1.0 )
-	introspection? ( >=dev-libs/gobject-introspection-0.6.3 )"
-DEPEND="${RDEPEND}
-	dev-util/pkgconfig
-	doc? ( >=dev-util/gtk-doc-1.9 )
-	vala? ( dev-lang/vala:0.12 )"
-
-pkg_setup() {
-	DOCS="AUTHORS ChangeLog NEWS README"
-	# Vala demos are only built, so just disable them
-	G2CONF="${G2CONF}
-		--disable-maintainer-mode
-		--disable-static
-		--disable-maemo
-		--disable-vala-demos
-		--enable-memphis
-		VAPIGEN=$(type -p vapigen-0.12)
-		$(use_enable debug)
-		$(use_enable gtk)
-		$(use_enable introspection)
-		$(use_enable vala)"
-}
-
-src_prepare() {
-	# Fix documentation slotability
-	sed -e "s/^DOC_MODULE.*/DOC_MODULE = ${PN}-${SLOT}/" \
-		-i docs/reference/Makefile.{am,in} || die "sed (1) failed"
-	sed -e "s/^DOC_MODULE.*/DOC_MODULE = ${PN}-gtk-${SLOT}/" \
-		-i docs/reference-gtk/Makefile.{am,in} || die "sed (2) failed"
-	mv ${S}/docs/reference/${PN}{,-${SLOT}}-docs.sgml || die "mv (1) failed"
-	mv ${S}/docs/reference-gtk/${PN}-gtk{,-${SLOT}}-docs.sgml || die "mv (1) failed"
-
-	gnome2_src_prepare
-}



^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] proj/gnome:master commit in: media-libs/libchamplain/
@ 2011-10-18  7:37 Alexandre Restovtsev
  0 siblings, 0 replies; 8+ messages in thread
From: Alexandre Restovtsev @ 2011-10-18  7:37 UTC (permalink / raw
  To: gentoo-commits

commit:     19aa32e29a73e3fb4d997c921deeb2d18ff93302
Author:     Alexandre Rostovtsev <tetromino <AT> gmail <DOT> com>
AuthorDate: Mon Oct 17 22:07:35 2011 +0000
Commit:     Alexandre Restovtsev <tetromino <AT> gmail <DOT> com>
CommitDate: Mon Oct 17 22:07:35 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=19aa32e2

media-libs/libchamplain: add patch to fix scale redrawing

---
 ...0.12.0.ebuild => libchamplain-0.12.0-r1.ebuild} |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/media-libs/libchamplain/libchamplain-0.12.0.ebuild b/media-libs/libchamplain/libchamplain-0.12.0-r1.ebuild
similarity index 92%
rename from media-libs/libchamplain/libchamplain-0.12.0.ebuild
rename to media-libs/libchamplain/libchamplain-0.12.0-r1.ebuild
index 5a9e82d..c05c0f3 100644
--- a/media-libs/libchamplain/libchamplain-0.12.0.ebuild
+++ b/media-libs/libchamplain/libchamplain-0.12.0-r1.ebuild
@@ -60,5 +60,9 @@ src_prepare() {
 	mv "${S}"/docs/reference/${PN}{,-${SLOT}}-docs.sgml || die "mv (1) failed"
 	mv "${S}"/docs/reference-gtk/${PN}-gtk{,-${SLOT}}-docs.sgml || die "mv (1) failed"
 
+	# Upstream patch from master branch to fix scale redrawing issues;
+	# not in 0.12 branch yet.
+	epatch "${FILESDIR}/${PN}-0.12.0-redrawing.patch"
+
 	gnome2_src_prepare
 }



^ permalink raw reply related	[flat|nested] 8+ messages in thread

end of thread, other threads:[~2011-10-18  7:41 UTC | newest]

Thread overview: 8+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2011-10-18  7:37 [gentoo-commits] proj/gnome:master commit in: media-libs/libchamplain/ Alexandre Restovtsev
  -- strict thread matches above, loose matches on Subject: below --
2011-06-02 21:35 Nirbheek Chauhan
2011-04-06 13:39 Gilles Dartiguelongue
2011-04-06 13:39 Gilles Dartiguelongue
2011-04-05  0:57 Nirbheek Chauhan
2011-03-29  8:35 Nirbheek Chauhan
2011-02-24 19:58 Jonathan Callen
2011-02-22 20:35 Nirbheek Chauhan

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox